# OSGeo::FDO::Raster::RasterDataModel Class Reference
[OSGeo::FDO::Raster]

Inheritance diagram for OSGeo::FDO::Raster::RasterDataModel:

[legend]

List of all members.

## Detailed Description

The RasterDataModel specifies the data type and organization of raster data retrieved and stored. Using this class and the image extents in width and length, the binary format of the image data returned by and accepted by the IStreamReader class can be interpreted.

()

## Public Member Functions
__property System::Int32 | get_BitsPerPixel ()
| Get the number of bits per pixel.
__property OSGeo::FDO::Raster::RasterDataModelType | get_DataModelType ()
| Gets the type of data available from this datamodel.
__property OSGeo::FDO::Raster::RasterDataType | get_DataType ()
| Gets the data type.
__property OSGeo::FDO::Raster::RasterDataOrganization | get_Organization ()
| Get the data interleave organization.
__property System::Int32 | get_TileSizeX ()
| Get the tile size in the horizontal direction (number of columns).
__property System::Int32 | get_TileSizeY ()
| Get the tile size in the vertical direction (number of rows).
| RasterDataModel (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a RasterDataModel object based on an unmanaged instance of the object.
| RasterDataModel ()
| Creates a new datamodel.
__property System::Void | set_BitsPerPixel (System::Int32 bitsPerPixel)
| Set the number of bits per pixel.
__property System::Void | set_DataModelType (OSGeo::FDO::Raster::RasterDataModelType type)
| Sets the type of data for this datamodel.
__property System::Void | set_DataType (OSGeo::FDO::Raster::RasterDataType dataType)
| Sets the data type.
__property System::Void | set_Organization (OSGeo::FDO::Raster::RasterDataOrganization organization)
| Set the data interleave organization.
__property System::Void | set_TileSizeX (System::Int32 sizex)
| Set the tile size in the horizontal direction (number of columns).
__property System::Void | set_TileSizeY (System::Int32 sizey)
| Set the tile size in the vertical direction (number of rows). Values of 64, 128, 256, 512, 1024 and the image extents in width and length may be supported. When the tile sizes are equal to the image extents, the image is monolithic. Rectangular tile sizes, combining different values for X and Y, may be supported.